# addOutgoingSettlementTransaction

**POST api/addOutgoingSettlementTransaction**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "counterpartyId": 4,
    "currency": "USD",
    "amount": 100000000000,
    "comment": "I am going to send $1000 transaction",
    "fee": 10000,
    "network": "SWIFT"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "settlementTransactionId": 123456789
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Filed name     | Type          | Description                                                                                                                                                                                                      |
| -------------- | ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| counterpartyId | Efx::ClientId | Counterparty Id                                                                                                                                                                                                  |
| currency       | string        | Currency name                                                                                                                                                                                                    |
| amount         | Efx::Size     | Amount                                                                                                                                                                                                           |
| comment        | string        | Comment                                                                                                                                                                                                          |
| fee            | Efx::Size     | <p><em>Optional</em>. Network fee. <br>The amount that the recipient will receive to their wallet or custodian account will be smaller than the one you have specified as transaction amount by network fee.</p> |
| network        | string        | *Optional*. Network name                                                                                                                                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/settlements/addoutgoingsettlementtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
